Bug 217118 - print/gutenprint: update to version 5.2.12
Summary: print/gutenprint: update to version 5.2.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL:
Keywords:
Depends on: 214304
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-15 19:35 UTC by Boris Samorodov
Modified: 2017-06-04 21:15 UTC (History)
2 users (show)

See Also:
cmt: maintainer-feedback-


Attachments
Update to version 5.2.12 (63.54 KB, patch)
2017-02-15 19:35 UTC, Boris Samorodov
no flags Details | Diff
patch2 (228.40 KB, patch)
2017-05-26 21:38 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2017-02-15 19:35:38 UTC
Created attachment 180030 [details]
Update to version 5.2.12

Update to the new version.

There were many changes at 5.2.11 and 5.2.12 (see changelog). The main infrastructure change is -- foomatic and ijs connectors are no longer supported.

Note to a committer -- print/gutenprint-foomatic and print/gutenprint-ijs should be removed from th repository.
Comment 1 Boris Samorodov freebsd_committer 2017-02-15 19:36:21 UTC
Take.
Comment 2 Tijl Coosemans freebsd_committer 2017-02-15 19:58:42 UTC
If CUPS is now the only backend I think you should combine gutenprint-base and gutenprint-cups into one print/gutenprint port.  The existing print/gutenprint meta port disappears then and gimp-gutenprint can stay as an independent port.
Comment 3 Boris Samorodov freebsd_committer 2017-02-15 20:04:05 UTC
Thanks, it makes perfect sense.
However I'm not sure I can do it soon (I have not much spare time)...
Comment 4 Christoph Moench-Tegeder freebsd_committer 2017-02-15 21:40:07 UTC
(In reply to Boris Samorodov from comment #3)
Maintainer speaking... I was already preparing something along the lines like tijl@ proposed. Unfortunately, I'm way behind my plans due to $WORK, I can't even promise to get much done over the weekend. I'm strongly in favour to reducing the clutter in these ports.
Comment 5 Christoph Moench-Tegeder freebsd_committer 2017-02-15 21:41:57 UTC
Comment on attachment 180030 [details]
Update to version 5.2.12

For the time being I'm turning this version down, let's do the full cleanup when we're at it.
Comment 6 Tijl Coosemans freebsd_committer 2017-05-26 21:38:10 UTC
Created attachment 182947 [details]
patch2

- Remove gutenprint, gutenprint-cups, gutenprint-foomatic and gutenprint-ijs.
- Rename gutenprint-base to gutenprint.
- Add --disable-static (and DLOPEN_LIBS=" ") to enable modular build.
- Add --enable-simplified-cups-ppds so users can use the simple drivers.
- Remove GTK2 option and build libgutenprintui2 as part of gimp-gutenprint.
- Remove --enable-cups-ppds so ppd files are no longer generated during build.  They are generated automatically during printer setup.  This significantly reduces the package size.
Comment 7 commit-hook freebsd_committer 2017-06-04 21:01:07 UTC
A commit references this bug:

Author: cmt
Date: Sun Jun  4 21:00:49 UTC 2017
New revision: 442589
URL: https://svnweb.freebsd.org/changeset/ports/442589

Log:
  print/gutenprint: update to 5.2.12

  https://sourceforge.net/projects/gimp-print/files/gutenprint-5.2/5.2.12/

  The -ijs and -foomatic backends have been removed by upstream,
  leaving -cups as the sole choice of backend. Therefore, the -base
  and -cups ports have been merged into the main gutenprint port
  and the obsolete components have been removed.

  PR:		217118
  Submitted by:	bsam, tijl
  Reported by:	tijl

Changes:
  head/MOVED
  head/graphics/cinepaint/Makefile
  head/print/Makefile
  head/print/gimp-gutenprint/Makefile
  head/print/gimp-gutenprint/pkg-plist
  head/print/gutenprint/Makefile
  head/print/gutenprint/pkg-descr
  head/print/gutenprint-base/
  head/print/gutenprint-cups/
  head/print/gutenprint-foomatic/
  head/print/gutenprint-ijs/
  head/print/photoprint/Makefile
Comment 8 commit-hook freebsd_committer 2017-06-04 21:12:18 UTC
A commit references this bug:

Author: cmt
Date: Sun Jun  4 21:11:50 UTC 2017
New revision: 442590
URL: https://svnweb.freebsd.org/changeset/ports/442590

Log:
  print/gutenprint: pick up files forgotten to add in last commit

  PR:		217118

Changes:
  head/print/gutenprint/distinfo
  head/print/gutenprint/pkg-plist
Comment 9 Christoph Moench-Tegeder freebsd_committer 2017-06-04 21:15:03 UTC
committed, thanks